<template lang="">
  <navbar></navbar>
  <div class="body">
    <h1 class="text-4xl text-center mt-12 mr-24 ml-24 font-bold">
      Selección de Cursos
    </h1>
    <h1 class="text-center mt-12 text-4xl font-bold"></h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: menuAsistenciaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Asistencia
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: seleccionarCursoURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Seleccionar Curso
        </a>
      </li>
      
    </ul>
  </div>
    <div class="overflow-auto">
      <table
        class="table w-auto h-auto m-auto mt-16 overflow-x-scroll mb-12 min-w-min"
      >
        <thead
          class="flex flex-col items-center justify-between overflow-y-hidden w-full"
        >
          <tr class="">
            <th class="w-96 text-center font-bold text-2xl bg-primary">
              <h1 class="ml-64 mr-64 rounded-t-xl text-white">
                Seleccionar Curso
              </h1>
            </th>
          </tr>
        </thead>
        <div
          class="items-center justify-between text-center overflow-y-scroll mt-5 w-full h-96"
        >
          <tbody v-for="curso in cursos" :key="cursoId">
            <tr class="text-center items-center">
              <td class="w-28"></td>
              <td
                @click="
                  $router.push({
                    path: 'RegistrarAsistencia',
                    query: { curso_id: curso.cursoId },
                  })
                "
                class="w-96 bg-primary text-center text-2xl font-semibold rounded-full items-center hover:bg-secondary"
              >
                <h1 class="ml-64 mr-64 text-white m-auto">
                  {{ curso.nombre }}
                </h1>
              </td>
            </tr>
            <div class="h-7"></div>
          </tbody>
        </div>
      </table>
    </div>
  </div>
</template>
<script>
import axios from "axios";
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  data() {
    return {
      query: this.$route.query.asig_id,
      cursos: [],
      menuAsistenciaURL:"",
      seleccionarCursoURL:""
    };
  },
  mounted() {
    let ruta = this.$route.path;
    console.log(this.$route.path);
    console.log(this.$route.params.id);
    let peticion = this.$route.params.id;
    const fecha = "";
    const hora = "";
    const fechaCompleta = "";
    const msg = "";
    let vue = this;

    axios.get("adminitracionCursos/buscarCursos", {}).then((response) => {
      console.log(response.data);
      vue.cursos = response.data;
    });
    axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {

          if (response.data.rol == "DOCENTE") {
            this.menuAsistenciaURL=
              "/MainAsistenciaDocente";
            this.seleccionarCursoURL=
              "/SeleccionarMateria"
          } else if (response.data.rol == "ALUMNO") {
            this.menuAsistenciaURL=
              "/MainAsistenciaEstudiante"
          }

        });
  },
};
</script>
<style>
.body {
  height: 100vh;
}
</style>
